package com.tzld.piaoquan.growth.common.dao.mapper;

import com.tzld.piaoquan.growth.common.model.po.StaffStatisticsTotal;
import com.tzld.piaoquan.growth.common.model.po.StaffStatisticsTotalExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface StaffStatisticsTotalMapper {
    long countByExample(StaffStatisticsTotalExample example);

    int deleteByExample(StaffStatisticsTotalExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StaffStatisticsTotal record);

    int insertSelective(StaffStatisticsTotal record);

    List<StaffStatisticsTotal> selectByExample(StaffStatisticsTotalExample example);

    StaffStatisticsTotal selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StaffStatisticsTotal record, @Param("example") StaffStatisticsTotalExample example);

    int updateByExample(@Param("record") StaffStatisticsTotal record, @Param("example") StaffStatisticsTotalExample example);

    int updateByPrimaryKeySelective(StaffStatisticsTotal record);

    int updateByPrimaryKey(StaffStatisticsTotal record);
}